# Microsoft.Samples.DirectX.UtilityToolkit.Slider Class Reference

Slider control. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Control, Microsoft::Samples::DirectX::UtilityToolkit::Control, and Microsoft::Samples::DirectX::UtilityToolkit::Control.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Slider:

[legend]

List of all members.

## Public Member Functions
void | SetRange (int min, int max)
| Sets the range of the slider.
| Slider (Dialog parent)
| Create new button instance.
override bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain this point?
int | ValueFromPosition (int x)
| Gets a value from a position.
override bool | HandleMouse (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse input input.
override bool | HandleKeyboard (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle keyboard input.
override void | Render (Device device, float elapsedTime)
| Render the slider.
void | SetRange (int min, int max)
| Sets the range of the slider.
| Slider (Dialog parent)
| Create new button instance.
override bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain this point?
int | ValueFromPosition (int x)
| Gets a value from a position.
override bool | HandleMouse (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse input input.
override bool | HandleKeyboard (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle keyboard input.
override void | Render (Device device, float elapsedTime)
| Render the slider.
void | SetRange (int min, int max)
| Sets the range of the slider.
| Slider (Dialog parent)
| Create new button instance.
override bool | ContainsPoint (System.Drawing.Point pt)
| Does the control contain this point?
int | ValueFromPosition (int x)
| Gets a value from a position.
override bool | HandleMouse (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse input input.
override bool | HandleKeyboard (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle keyboard input.
override void | Render (Device device, float elapsedTime)
| Render the slider.
## Public Attributes
const int | TrackLayer = 0
const int | ButtonLayer = 1
## Protected Member Functions
void | RaiseValueChanged (Slider sender, bool wasTriggeredByUser)
| Current value of the slider.
void | SetValueInternal (int newValue, bool fromInput)
| Sets the value internally and fires the event if needed.
override void | UpdateRectangles ()
| Update the rectangles for the control.
void | RaiseValueChanged (Slider sender, bool wasTriggeredByUser)
| Current value of the slider.
void | SetValueInternal (int newValue, bool fromInput)
| Sets the value internally and fires the event if needed.
override void | UpdateRectangles ()
| Update the rectangles for the control.
void | RaiseValueChanged (Slider sender, bool wasTriggeredByUser)
| Current value of the slider.
void | SetValueInternal (int newValue, bool fromInput)
| Sets the value internally and fires the event if needed.
override void | UpdateRectangles ()
| Update the rectangles for the control.
## Protected Attributes
int | currentValue
int | maxValue
int | minValue
int | dragX
int | dragOffset
int | buttonX
bool | isPressed
System.Drawing.Rectangle | buttonRect
## Properties
override bool | CanHaveFocus`[get]`
| Slider's can always have focus.
int | Value`[get, set]`
| Current value of the slider.
## Events
EventHandler | ValueChanged

## Detailed Description

Slider control.

Definition at line 3514 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.Slider.Slider | ( | Dialog | parent | ) |

Create new button instance.

Definition at line 3572 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Slider.Slider | ( | Dialog | parent | ) |

Create new button instance.

Definition at line 3572 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Slider.Slider | ( | Dialog | parent | ) |

Create new button instance.

Definition at line 3578 of file wdxmutgui.cs.

## Member Function Documentation

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain this point?

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3591 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain this point?

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3584 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.ContainsPoint | ( | System.Drawing.Point | pt | ) | `[virtual]`

Does the control contain this point?

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3584 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.HandleKeyboard | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle keyboard input.

Definition at line 3685 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.HandleKeyboard | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle keyboard input.

Definition at line 3678 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.HandleKeyboard | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle keyboard input.

Definition at line 3678 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.HandleMouse | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle mouse input input.

Definition at line 3620 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.HandleMouse | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle mouse input input.

Definition at line 3613 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.Slider.HandleMouse | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle mouse input input.

Definition at line 3613 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.RaiseValueChanged | ( | Slider | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Current value of the slider.

Definition at line 3541 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.RaiseValueChanged | ( | Slider | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Current value of the slider.

Definition at line 3535 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.RaiseValueChanged | ( | Slider | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Current value of the slider.

Definition at line 3535 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Slider.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the slider.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3718 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Slider.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the slider.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3711 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Slider.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the slider.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3711 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.SetRange | ( | int | min,
|  | int | max |
| ) |  |  |

Sets the range of the slider.

Definition at line 3554 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.SetRange | ( | int | min,
|  | int | max |
| ) |  |  |

Sets the range of the slider.

Definition at line 3548 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.SetRange | ( | int | min,
|  | int | max |
| ) |  |  |

Sets the range of the slider.

Definition at line 3548 of file dxmutgui.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.SetValueInternal | ( | int | newValue,
|  | bool | fromInput |
| ) |  |  | `[protected]`

Sets the value internally and fires the event if needed.

Definition at line 3562 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.SetValueInternal | ( | int | newValue,
|  | bool | fromInput |
| ) |  |  | `[protected]`

Sets the value internally and fires the event if needed.

Definition at line 3556 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Slider.SetValueInternal | ( | int | newValue,
|  | bool | fromInput |
| ) |  |  | `[protected]`

Sets the value internally and fires the event if needed.

Definition at line 3556 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Slider.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles for the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3597 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Slider.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles for the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3590 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.Slider.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles for the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3590 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.Slider.ValueFromPosition | ( | int | x | ) |

Gets a value from a position.

Definition at line 3613 of file wdxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.Slider.ValueFromPosition | ( | int | x | ) |

Gets a value from a position.

Definition at line 3606 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.Slider.ValueFromPosition | ( | int | x | ) |

Gets a value from a position.

Definition at line 3606 of file dxmutgui.cs.

## Member Data Documentation

const int Microsoft::Samples::DirectX::UtilityToolkit.Slider::ButtonLayer = 1

Definition at line 3517 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Slider::buttonRect`[protected]`

Definition at line 3529 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::buttonX`[protected]`

Definition at line 3526 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::currentValue`[protected]`

Definition at line 3520 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::dragOffset`[protected]`

Definition at line 3525 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::dragX`[protected]`

Definition at line 3524 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Slider::isPressed`[protected]`

Definition at line 3528 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::maxValue`[protected]`

Definition at line 3521 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::minValue`[protected]`

Definition at line 3522 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.Slider::TrackLayer = 0

Definition at line 3516 of file dxmutgui.cs.

## Property Documentation

override bool Microsoft::Samples::DirectX::UtilityToolkit.Slider::CanHaveFocus`[get]`

Slider's can always have focus.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 3532 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Slider::Value`[get, set]`

Current value of the slider.

Definition at line 3546 of file dxmutgui.cs.

## Event Documentation

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.Slider::ValueChanged

Definition at line 3519 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs